| mipi_tx_phy Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XMipi_Tx_Phy_Config Struct Reference
Overview

The configuration structure for mipi_tx_phy. More...

## Data Fields
UINTPTR | BaseAddr
| Base address of mipi_tx_phy. More...
u32 | IsDphy
| CPHY or DPHY Mode. More...
u32 | IsRegisterPresent
| Is register access allowed. More...
u32 | MaxLanesPresent
| Number of Lanes. More...
u32 | EscClkPeriod
| Escape Clock Peroid. More...
u32 | EscTimeout
| Escape Timeout. More...
u32 | HSLineRate
| High Speed Line Rate. More...
u32 | HSTimeOut
| Max Frame Length. More...

## Detailed Description

The configuration structure for mipi_tx_phy.

This structure passes the hardware building information to the driver

## Field Documentation

UINTPTR XMipi_Tx_Phy_Config::BaseAddr

Base address of mipi_tx_phy.

Referenced by Mipi_Tx_PhySelfTestExample(), XMipi_Tx_Phy_Activate(), XMipi_Tx_Phy_CfgInitialize(), XMipi_Tx_Phy_ClearDataLane(), XMipi_Tx_Phy_GetClkLaneStatus(), XMipi_Tx_Phy_GetDataLaneStatus(), XMipi_Tx_Phy_GetDLCalibStatus(), XMipi_Tx_Phy_GetPacketCount(), and XMipi_Tx_Phy_GetVersionReg().

u32 XMipi_Tx_Phy_Config::EscClkPeriod

Escape Clock Peroid.

u32 XMipi_Tx_Phy_Config::EscTimeout

Escape Timeout.

u32 XMipi_Tx_Phy_Config::HSLineRate

High Speed Line Rate.

u32 XMipi_Tx_Phy_Config::HSTimeOut

Max Frame Length.

Referenced by XMipi_Tx_Phy_SelfTest().

u32 XMipi_Tx_Phy_Config::IsDphy

CPHY or DPHY Mode.

Referenced by XMipi_Tx_Phy_GetClkLaneMode(), XMipi_Tx_Phy_GetClkLaneStatus(), and XMipi_Tx_Phy_GetInfo().

u32 XMipi_Tx_Phy_Config::IsRegisterPresent

Is register access allowed.

Referenced by XMipi_Tx_Phy_Activate(), XMipi_Tx_Phy_ClearDataLane(), XMipi_Tx_Phy_Configure(), XMipi_Tx_Phy_GetClkLaneMode(), XMipi_Tx_Phy_GetClkLaneStatus(), XMipi_Tx_Phy_GetDataLaneMode(), XMipi_Tx_Phy_GetDataLaneStatus(), XMipi_Tx_Phy_GetDLCalibStatus(), XMipi_Tx_Phy_GetInfo(), XMipi_Tx_Phy_GetPacketCount(), XMipi_Tx_Phy_GetRegIntfcPresent(), XMipi_Tx_Phy_GetVersionReg(), and XMipi_Tx_Phy_Reset().

u32 XMipi_Tx_Phy_Config::MaxLanesPresent

Number of Lanes.

Range 1 - 4

Referenced by XMipi_Tx_Phy_GetInfo().